cURL
curl --request POST \ --url https://b2b-api.dev-riseworks.io/v2/payments/external_entity/instant \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "from": "<string>", "amount_cents": 5000000050, "payment_data": { "role_description": "<string>", "invoice_description": "<string>", "rise_sow": true, "services_description": "", "payment_details": "", "sow_link": "<string>", "reason_id": 123 }, "external_recipient_email": "<string>", "currency_symbol": "USD", "network": "arbitrum" } '
{ "success": true, "data": { "domain": { "name": "<string>", "version": "<string>", "chainId": 123, "verifyingContract": "<string>" }, "types": { "CreatePaymentForwardRequest": [ { "name": "<string>", "type": "<string>" } ], "RisePayment": [ { "name": "<string>", "type": "<string>" } ] }, "typed_data": { "from": "<string>", "to": "<string>", "salt": "<string>", "expires": "<string>", "data": { "id": "<string>", "groupID": "<string>", "payAtTime": "<string>", "validMinutes": "<string>", "payType": "<string>", "token": "<string>", "recipient": "<string>", "amount": "<string>", "data": "<string>" } }, "primary_type": "<string>" } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
TeamNanoid
15
^te-.*
100 <= x <= 10000000000
Show child attributes
USD
arbitrum
Default Response
true